Bug 1891022 - Review Request: jacktrip - A system for high-quality audio network performance over the Internet
Summary: Review Request: jacktrip - A system for high-quality audio network performanc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erich Eickmeyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-23 14:48 UTC by Iñaki Ucar
Modified: 2020-11-04 04:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 03:01:06 UTC
Type: ---
erich: fedora-review+


Attachments (Terms of Use)

Description Iñaki Ucar 2020-10-23 14:48:42 UTC
Spec URL: https://iucar.fedorapeople.org/pkgs/jacktrip.spec
SRPM URL: https://iucar.fedorapeople.org/pkgs/jacktrip-1.2.1-1.fc32.src.rpm

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=54049346

Description:
JackTrip is a Linux and Mac OS X-based system used for multi-machine
network performance over the Internet. It supports any number of
channels (as many as the computer/network can handle) of
bidirectional, high quality, uncompressed audio signal steaming.

Fedora Account System Username: iucar

Comment 1 Erich Eickmeyer 2020-10-23 23:31:09 UTC
Notes:

- Licensecheck came back with BSD-2-clause, MIT, GPLv2, and LGPLv2.1+
  - BSD-2-clause:
    externals/includes/rtaudio-4.0.6/include/soundcard.h
    externals/includes/rtaudio-4.0.7/include/soundcard.h
    externals/rtaudio-4.1.1/include/soundcard.h
  - Looks like externals/includes/jack/control.h is GPL-2 and has an obsolete FSF address.
  - These files came back LGPLv2.1+ (* has obsolete FSF address, inform upstream):
    externals/includes/jack/intclient.h
    externals/includes/jack/jack.h
    externals/includes/jack/jslist.h
    externals/includes/jack/midiport.h
    externals/includes/jack/ringbuffer.h
    externals/includes/jack/statistics.h
    externals/includes/jack/thread.h
    externals/includes/jack/transport.h
    externals/includes/jack/types.h
    externals/includes/jack/systemdeps.h*
  You will want to remark these and add them to the license field.


Other than that, looks good. Simply fix those, and it'll be approved. :)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 8427520 bytes in 329 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "GNU General Public
     License, Version 2 [obsolete FSF postal address (Mass Ave)]", "GNU
     Lesser General Public License v2.1 or later", "GNU Lesser General
     Public License v2.1 or later [obsolete FSF postal address (Mass
     Ave)]", "BSD 2-clause "Simplified" License". 76 files have unknown
     license. 
     - SEE NOTES ABOVE
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 8478720 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jacktrip-1.2.1-1.fc34.x86_64.rpm
          jacktrip-debuginfo-1.2.1-1.fc34.x86_64.rpm
          jacktrip-debugsource-1.2.1-1.fc34.x86_64.rpm
          jacktrip-1.2.1-1.fc34.src.rpm
jacktrip.x86_64: E: changelog-time-in-future 2020-10-24
jacktrip-debuginfo.x86_64: E: changelog-time-in-future 2020-10-24
jacktrip-debugsource.x86_64: E: changelog-time-in-future 2020-10-24
jacktrip.src: E: changelog-time-in-future 2020-10-24
4 packages and 0 specfiles checked; 4 errors, 0 warnings.

- The changelog time can be safely ignored, I live on the US West Coast which might be throwing the date.


Rpmlint (debuginfo)
-------------------
Checking: jacktrip-debuginfo-1.2.1-1.fc34.x86_64.rpm
jacktrip-debuginfo.x86_64: E: changelog-time-in-future 2020-10-24
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
jacktrip.x86_64: E: changelog-time-in-future 2020-10-24
jacktrip.x86_64: W: invalid-url URL: https://github.com/jacktrip/jacktrip <urlopen error [Errno -3] Temporary failure in name resolution>
jacktrip-debugsource.x86_64: E: changelog-time-in-future 2020-10-24
jacktrip-debugsource.x86_64: W: invalid-url URL: https://github.com/jacktrip/jacktrip <urlopen error [Errno -3] Temporary failure in name resolution>
jacktrip-debuginfo.x86_64: E: changelog-time-in-future 2020-10-24
jacktrip-debuginfo.x86_64: W: invalid-url URL: https://github.com/jacktrip/jacktrip <urlopen error [Errno -3] Temporary failure in name resolution>
3 packages and 0 specfiles checked; 3 errors, 3 warnings.



Source checksums
----------------
https://github.com/jacktrip/jacktrip/archive/v1.2.1/jacktrip-1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : b9565b3a041698563682a51f600a999c75ece60a59d6c15f6401519e0c146398
  CHECKSUM(SHA256) upstream package : b9565b3a041698563682a51f600a999c75ece60a59d6c15f6401519e0c146398


Requires
--------
jacktrip (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libjack.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

jacktrip-debuginfo (rpmlib, GLIBC filtered):

jacktrip-debugsource (rpmlib, GLIBC filtered):



Provides
--------
jacktrip:
    jacktrip
    jacktrip(x86-64)

jacktrip-debuginfo:
    debuginfo(build-id)
    jacktrip-debuginfo
    jacktrip-debuginfo(x86-64)

jacktrip-debugsource:
    jacktrip-debugsource
    jacktrip-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1891022
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Ocaml, PHP, Perl, Haskell, Java, Python, R, SugarActivity, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Iñaki Ucar 2020-10-24 08:49:13 UTC
Spec URL: https://iucar.fedorapeople.org/pkgs/jacktrip.spec
SRPM URL: https://iucar.fedorapeople.org/pkgs/jacktrip-1.2.1-1.fc32.src.rpm

Oh, I forgot to delete that folder. The build does not use does (that's for macOS and Windows, I suppose). Now removed.

Comment 3 Iñaki Ucar 2020-10-24 08:49:38 UTC
*does not use those

Comment 4 Erich Eickmeyer 2020-10-24 16:19:28 UTC
Looks like you need to make a -doc subpackage. The documentation size is rather large. Other than that it looks really good now!

So, I guess just make that -doc subpackage and I should be able to stamp it as approved. :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 8427520 bytes in 329 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 29 files have unknown
     license. Detailed output of licensecheck in
     /home/erich/Documents/jacktrip/licensecheck.txt
     - Unknown falls under the project license (Expat/MIT)
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 8478720 bytes in /usr/share
     - This appears to be the docs, see above
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: jacktrip-1.2.1-1.fc34.x86_64.rpm
          jacktrip-debuginfo-1.2.1-1.fc34.x86_64.rpm
          jacktrip-debugsource-1.2.1-1.fc34.x86_64.rpm
          jacktrip-1.2.1-1.fc34.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: jacktrip-debuginfo-1.2.1-1.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
jacktrip-debugsource.x86_64: W: invalid-url URL: https://github.com/jacktrip/jacktrip <urlopen error [Errno -3] Temporary failure in name resolution>
jacktrip.x86_64: W: invalid-url URL: https://github.com/jacktrip/jacktrip <urlopen error [Errno -3] Temporary failure in name resolution>
jacktrip-debuginfo.x86_64: W: invalid-url URL: https://github.com/jacktrip/jacktrip <urlopen error [Errno -3] Temporary failure in name resolution>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

- This is pretty common for github URLs (they don't like to be checked)


Source checksums
----------------
https://github.com/jacktrip/jacktrip/archive/v1.2.1/jacktrip-1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : b9565b3a041698563682a51f600a999c75ece60a59d6c15f6401519e0c146398
  CHECKSUM(SHA256) upstream package : b9565b3a041698563682a51f600a999c75ece60a59d6c15f6401519e0c146398


Requires
--------
jacktrip (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libjack.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

jacktrip-debuginfo (rpmlib, GLIBC filtered):

jacktrip-debugsource (rpmlib, GLIBC filtered):



Provides
--------
jacktrip:
    jacktrip
    jacktrip(x86-64)

jacktrip-debuginfo:
    debuginfo(build-id)
    jacktrip-debuginfo
    jacktrip-debuginfo(x86-64)

jacktrip-debugsource:
    jacktrip-debugsource
    jacktrip-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -n ./jacktrip-1.2.1-1.fc32.src.rpm -r
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Haskell, SugarActivity, Perl, PHP, R, Python, fonts, Ocaml, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Iñaki Ucar 2020-10-24 16:43:39 UTC
Spec URL: https://iucar.fedorapeople.org/pkgs/jacktrip.spec
SRPM URL: https://iucar.fedorapeople.org/pkgs/jacktrip-1.2.1-1.fc32.src.rpm

Right, in this way, the main package is just 77 kB! :)

Comment 6 Erich Eickmeyer 2020-10-24 16:59:37 UTC
Yep, that did the trick. Looks good now!

Package is APPROVED

Comment 7 Iñaki Ucar 2020-10-24 17:00:58 UTC
Thanks! Let me know if you need a review!

Comment 8 Gwyn Ciesla 2020-10-25 23:15:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/jacktrip

Comment 9 Fedora Update System 2020-10-26 08:35:31 UTC
FEDORA-2020-fe63d70809 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe63d70809

Comment 10 Fedora Update System 2020-10-26 08:35:42 UTC
FEDORA-2020-4333baf1d0 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4333baf1d0

Comment 11 Fedora Update System 2020-10-27 02:22:44 UTC
FEDORA-2020-fe63d70809 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-fe63d70809 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe63d70809

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-27 02:36:35 UTC
FEDORA-2020-4333baf1d0 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4333baf1d0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4333baf1d0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-11-04 03:01:06 UTC
FEDORA-2020-4333baf1d0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-11-04 04:01:28 UTC
FEDORA-2020-fe63d70809 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.